get/accounts/{accountResourceId}/overdrafts
Retrieval of an account overdraft (AISP)
OAuth2 scope: aisp
Description
This call returns the overdrafts that can be used for a given PSU account that is specified by the AISP through an account resource identification. The request may use some filter parameter in order to restrict the query
Prerequisites
- The TPP was registered by the Registration Authority for the AISP role
- The TPP and the PSU have a contract that was enrolled by the ASPSP
- At this step, the ASPSP has delivered an OAUTH2 "Authorization Code" or "Resource Owner Password" access token to the TPP (cf. paragraph 3.4.2).
- The TPP and the ASPSP have successfully processed a mutual check and authentication
- The TPP has presented its OAUTH2 "Authorization Code" or "Resource Owner Password" access token which allows the ASPSP to identify the relevant PSU and retrieve the linked PSU context (cf. paragraph 3.4.2) is any.
- The ASPSP takes into account the access token that establishes the link between the PSU and the AISP.
- The TPP has previously retrieved the list of available accounts for the PSU
Business flow
The AISP requests the ASPSP on one of the PSU's accounts. The ASPSP answers by the overdraft that can be applied.
Parameters (19)
- Authorizationheaderstringrequired
Access token to be passed as a header
- accountResourceIdpathstringrequired
Identification of account resource to fetch
- PSU-IP-Addressheaderstring
IP address used by the PSU's terminal when connecting to the TPP
- PSU-IP-Portheaderstring
IP port used by the PSU's terminal when connecting to the TPP
- PSU-HTTP-Methodheaderstring
Http method for the most relevant PSU's terminal request to the TTP
- PSU-Dateheaderstring
Timestamp of the most relevant PSU's terminal request to the TTP
- PSU-GEO-Locationheaderstring
Geographical location of the PSU as provided by the PSU mobile terminal if any to the TPP
- PSU-User-Agentheaderstring
"User-Agent" header field sent by the PSU terminal when connecting to the TPP
- PSU-Refererheaderstring
"Referer" header field sent by the PSU terminal when connecting to the TPP. Notice that an initial typo in RFC 1945 specifies that "referer" (incorrect spelling) is to be used. The correct spelling "referrer" can be used but might not be understood.
- PSU-Acceptheaderstring
"Accept" header field sent by the PSU terminal when connecting to the TPP
- PSU-Accept-Charsetheaderstring
"Accept-Charset" header field sent by the PSU terminal when connecting to the TPP
- PSU-Accept-Encodingheaderstring
"Accept-Encoding" header field sent by the PSU terminal when connecting to the TPP
- PSU-Accept-Languageheaderstring
"Accept-Language" header field sent by the PSU terminal when connecting to the TPP
- PSU-Device-IDheaderstring
UUID (Universally Unique Identifier) for a device, which is used by the PSU, if available. UUID identifies either a device or a device dependant application installation. In case of installation identification this ID need to be unaltered until removal from device.
- Digestheaderstring
Digest of the body
- Signatureheaderstring
http-signature of the request The keyId must specify the way to get the relevant qualified certificate. It is requested that this identifier is an URL aiming to provide the relevant Qualified Certificate.
- X-Request-IDheaderstringrequired
Correlation header to be set in a request and retrieved in the relevant response
- workspacequerystring
Workspace to be used for processing an AISP request. If not provided, the default workspace is computed from the authentication that was used for getting the OAuth2 Access Token.
- X-JWS-Signatureheaderstring
Responses
200
Overdraft response
HalOverdrafts
HYPERMEDIA structure used for returning the list of the overdrafts that can apply on a given account to the AISP
Fields (2)
- overdraftsOverdraftrequired
Schema: Overdraft
- allowedAmountAmountTyperequired
Schema: AmountType
- amountnumber (float)required
ISO20022: Amount of money to be moved between the debtor and creditor, before deduction of charges, expressed in the currency as ordered by the initiating party.
ISO20022: Amount of money to be moved between the debtor and creditor, before deduction of charges, expressed in the currency as ordered by the initiating party.
Constraints: pattern: `^\-{0,1}[0-9]{1,13}(\.[0-9]{0,5}){0,1}$`
- currencyCurrencyCoderequired
Schema: CurrencyCode
- _linksOverdraftsLinksrequired
Schema: OverdraftsLinks
- selfGenericLinkrequired
Schema: GenericLink
- hrefstringrequired
URI to be used. HREF stands for Hypertext REFerence.
Constraints: maxLength: 2000
- templatedboolean
This field must be set with "true" when [href] is an URI template, i.e. with parameters that will be set by the client afterwards. Parameter fields must be included by the API server according to RFC6570.
This field must be set with "true" when [href] is an URI template, i.e. with parameters that will be set by the client afterwards. Parameter fields must be included by the API server according to RFC6570. Otherwise, this property must be absent or set to false default value: false
- parent-listGenericLink
Schema: GenericLink
- hrefstringrequired
URI to be used. HREF stands for Hypertext REFerence.
Constraints: maxLength: 2000
- templatedboolean
This field must be set with "true" when [href] is an URI template, i.e. with parameters that will be set by the client afterwards. Parameter fields must be included by the API server according to RFC6570.
This field must be set with "true" when [href] is an URI template, i.e. with parameters that will be set by the client afterwards. Parameter fields must be included by the API server according to RFC6570. Otherwise, this property must be absent or set to false default value: false
- ownersGenericLink
Schema: GenericLink
- hrefstringrequired
URI to be used. HREF stands for Hypertext REFerence.
Constraints: maxLength: 2000
- templatedboolean
This field must be set with "true" when [href] is an URI template, i.e. with parameters that will be set by the client afterwards. Parameter fields must be included by the API server according to RFC6570.
This field must be set with "true" when [href] is an URI template, i.e. with parameters that will be set by the client afterwards. Parameter fields must be included by the API server according to RFC6570. Otherwise, this property must be absent or set to false default value: false
- balancesGenericLink
Schema: GenericLink
- hrefstringrequired
URI to be used. HREF stands for Hypertext REFerence.
Constraints: maxLength: 2000
- templatedboolean
This field must be set with "true" when [href] is an URI template, i.e. with parameters that will be set by the client afterwards. Parameter fields must be included by the API server according to RFC6570.
This field must be set with "true" when [href] is an URI template, i.e. with parameters that will be set by the client afterwards. Parameter fields must be included by the API server according to RFC6570. Otherwise, this property must be absent or set to false default value: false
- transactionsGenericLink
Schema: GenericLink
- hrefstringrequired
URI to be used. HREF stands for Hypertext REFerence.
Constraints: maxLength: 2000
- templatedboolean
This field must be set with "true" when [href] is an URI template, i.e. with parameters that will be set by the client afterwards. Parameter fields must be included by the API server according to RFC6570.
This field must be set with "true" when [href] is an URI template, i.e. with parameters that will be set by the client afterwards. Parameter fields must be included by the API server according to RFC6570. Otherwise, this property must be absent or set to false default value: false
204
No content.
Shared response definition: 204
400
Invalid status value
ErrorModel
Generic error report structure
Fields (6)
- timestampstring (date-time)
current timestamp
- statusinteger (int32)required
HTTP error code
- errorstring
HTTP error text
Constraints: maxLength: 140
- messagestringrequired
HTTP textual reason phrase
Constraints: maxLength: 140
- pathstring
Relevant path that was used
Constraints: maxLength: 140
- detailsarray<ErrorDetail>
list of detailed errors that were encountered
Item: ErrorDetail
- locationstringenum · 2
Location of the erroneous parameter when not in request body
Code Name Description header— — query— — - namestring
Name of the erroneous parameter when not in request body
- pathstring
JsonPath of the erroneous request body property
- erroneousValuestring
Erroneous parameter value
- messagestring
Relevant message for the erroneous parameter
- expectedPatternstring
Expected pattern, if any, that the erroneous parameter does not match with
- expectedValueRangeobject
Expected value range, if any, that the erroneous parameter does not match with
- expectedValueCountobject
Expected value count, in the case of an array item, that the erroneous parameter does not match with
- expectedEnumerationarray<string>
Expected enumeration, if any, that the erroneous parameter do not match with
401
Unauthorized, authentication failure.
ErrorModel
Generic error report structure
Fields (6)
- timestampstring (date-time)
current timestamp
- statusinteger (int32)required
HTTP error code
- errorstring
HTTP error text
Constraints: maxLength: 140
- messagestringrequired
HTTP textual reason phrase
Constraints: maxLength: 140
- pathstring
Relevant path that was used
Constraints: maxLength: 140
- detailsarray<ErrorDetail>
list of detailed errors that were encountered
Item: ErrorDetail
- locationstringenum · 2
Location of the erroneous parameter when not in request body
Code Name Description header— — query— — - namestring
Name of the erroneous parameter when not in request body
- pathstring
JsonPath of the erroneous request body property
- erroneousValuestring
Erroneous parameter value
- messagestring
Relevant message for the erroneous parameter
- expectedPatternstring
Expected pattern, if any, that the erroneous parameter does not match with
- expectedValueRangeobject
Expected value range, if any, that the erroneous parameter does not match with
- expectedValueCountobject
Expected value count, in the case of an array item, that the erroneous parameter does not match with
- expectedEnumerationarray<string>
Expected enumeration, if any, that the erroneous parameter do not match with
403
Forbidden, authentication successful but access to resource is not allowed.
ErrorModel
Generic error report structure
Fields (6)
- timestampstring (date-time)
current timestamp
- statusinteger (int32)required
HTTP error code
- errorstring
HTTP error text
Constraints: maxLength: 140
- messagestringrequired
HTTP textual reason phrase
Constraints: maxLength: 140
- pathstring
Relevant path that was used
Constraints: maxLength: 140
- detailsarray<ErrorDetail>
list of detailed errors that were encountered
Item: ErrorDetail
- locationstringenum · 2
Location of the erroneous parameter when not in request body
Code Name Description header— — query— — - namestring
Name of the erroneous parameter when not in request body
- pathstring
JsonPath of the erroneous request body property
- erroneousValuestring
Erroneous parameter value
- messagestring
Relevant message for the erroneous parameter
- expectedPatternstring
Expected pattern, if any, that the erroneous parameter does not match with
- expectedValueRangeobject
Expected value range, if any, that the erroneous parameter does not match with
- expectedValueCountobject
Expected value count, in the case of an array item, that the erroneous parameter does not match with
- expectedEnumerationarray<string>
Expected enumeration, if any, that the erroneous parameter do not match with
404
Not found, no request available.
ErrorModel
Generic error report structure
Fields (6)
- timestampstring (date-time)
current timestamp
- statusinteger (int32)required
HTTP error code
- errorstring
HTTP error text
Constraints: maxLength: 140
- messagestringrequired
HTTP textual reason phrase
Constraints: maxLength: 140
- pathstring
Relevant path that was used
Constraints: maxLength: 140
- detailsarray<ErrorDetail>
list of detailed errors that were encountered
Item: ErrorDetail
- locationstringenum · 2
Location of the erroneous parameter when not in request body
Code Name Description header— — query— — - namestring
Name of the erroneous parameter when not in request body
- pathstring
JsonPath of the erroneous request body property
- erroneousValuestring
Erroneous parameter value
- messagestring
Relevant message for the erroneous parameter
- expectedPatternstring
Expected pattern, if any, that the erroneous parameter does not match with
- expectedValueRangeobject
Expected value range, if any, that the erroneous parameter does not match with
- expectedValueCountobject
Expected value count, in the case of an array item, that the erroneous parameter does not match with
- expectedEnumerationarray<string>
Expected enumeration, if any, that the erroneous parameter do not match with
405
Method Not Allowed.
ErrorModel
Generic error report structure
Fields (6)
- timestampstring (date-time)
current timestamp
- statusinteger (int32)required
HTTP error code
- errorstring
HTTP error text
Constraints: maxLength: 140
- messagestringrequired
HTTP textual reason phrase
Constraints: maxLength: 140
- pathstring
Relevant path that was used
Constraints: maxLength: 140
- detailsarray<ErrorDetail>
list of detailed errors that were encountered
Item: ErrorDetail
- locationstringenum · 2
Location of the erroneous parameter when not in request body
Code Name Description header— — query— — - namestring
Name of the erroneous parameter when not in request body
- pathstring
JsonPath of the erroneous request body property
- erroneousValuestring
Erroneous parameter value
- messagestring
Relevant message for the erroneous parameter
- expectedPatternstring
Expected pattern, if any, that the erroneous parameter does not match with
- expectedValueRangeobject
Expected value range, if any, that the erroneous parameter does not match with
- expectedValueCountobject
Expected value count, in the case of an array item, that the erroneous parameter does not match with
- expectedEnumerationarray<string>
Expected enumeration, if any, that the erroneous parameter do not match with
406
Not Acceptable.
ErrorModel
Generic error report structure
Fields (6)
- timestampstring (date-time)
current timestamp
- statusinteger (int32)required
HTTP error code
- errorstring
HTTP error text
Constraints: maxLength: 140
- messagestringrequired
HTTP textual reason phrase
Constraints: maxLength: 140
- pathstring
Relevant path that was used
Constraints: maxLength: 140
- detailsarray<ErrorDetail>
list of detailed errors that were encountered
Item: ErrorDetail
- locationstringenum · 2
Location of the erroneous parameter when not in request body
Code Name Description header— — query— — - namestring
Name of the erroneous parameter when not in request body
- pathstring
JsonPath of the erroneous request body property
- erroneousValuestring
Erroneous parameter value
- messagestring
Relevant message for the erroneous parameter
- expectedPatternstring
Expected pattern, if any, that the erroneous parameter does not match with
- expectedValueRangeobject
Expected value range, if any, that the erroneous parameter does not match with
- expectedValueCountobject
Expected value count, in the case of an array item, that the erroneous parameter does not match with
- expectedEnumerationarray<string>
Expected enumeration, if any, that the erroneous parameter do not match with
408
Request Timeout.
ErrorModel
Generic error report structure
Fields (6)
- timestampstring (date-time)
current timestamp
- statusinteger (int32)required
HTTP error code
- errorstring
HTTP error text
Constraints: maxLength: 140
- messagestringrequired
HTTP textual reason phrase
Constraints: maxLength: 140
- pathstring
Relevant path that was used
Constraints: maxLength: 140
- detailsarray<ErrorDetail>
list of detailed errors that were encountered
Item: ErrorDetail
- locationstringenum · 2
Location of the erroneous parameter when not in request body
Code Name Description header— — query— — - namestring
Name of the erroneous parameter when not in request body
- pathstring
JsonPath of the erroneous request body property
- erroneousValuestring
Erroneous parameter value
- messagestring
Relevant message for the erroneous parameter
- expectedPatternstring
Expected pattern, if any, that the erroneous parameter does not match with
- expectedValueRangeobject
Expected value range, if any, that the erroneous parameter does not match with
- expectedValueCountobject
Expected value count, in the case of an array item, that the erroneous parameter does not match with
- expectedEnumerationarray<string>
Expected enumeration, if any, that the erroneous parameter do not match with
429
Too many requests.
ErrorModel
Generic error report structure
Fields (6)
- timestampstring (date-time)
current timestamp
- statusinteger (int32)required
HTTP error code
- errorstring
HTTP error text
Constraints: maxLength: 140
- messagestringrequired
HTTP textual reason phrase
Constraints: maxLength: 140
- pathstring
Relevant path that was used
Constraints: maxLength: 140
- detailsarray<ErrorDetail>
list of detailed errors that were encountered
Item: ErrorDetail
- locationstringenum · 2
Location of the erroneous parameter when not in request body
Code Name Description header— — query— — - namestring
Name of the erroneous parameter when not in request body
- pathstring
JsonPath of the erroneous request body property
- erroneousValuestring
Erroneous parameter value
- messagestring
Relevant message for the erroneous parameter
- expectedPatternstring
Expected pattern, if any, that the erroneous parameter does not match with
- expectedValueRangeobject
Expected value range, if any, that the erroneous parameter does not match with
- expectedValueCountobject
Expected value count, in the case of an array item, that the erroneous parameter does not match with
- expectedEnumerationarray<string>
Expected enumeration, if any, that the erroneous parameter do not match with
500
Internal server error.
ErrorModel
Generic error report structure
Fields (6)
- timestampstring (date-time)
current timestamp
- statusinteger (int32)required
HTTP error code
- errorstring
HTTP error text
Constraints: maxLength: 140
- messagestringrequired
HTTP textual reason phrase
Constraints: maxLength: 140
- pathstring
Relevant path that was used
Constraints: maxLength: 140
- detailsarray<ErrorDetail>
list of detailed errors that were encountered
Item: ErrorDetail
- locationstringenum · 2
Location of the erroneous parameter when not in request body
Code Name Description header— — query— — - namestring
Name of the erroneous parameter when not in request body
- pathstring
JsonPath of the erroneous request body property
- erroneousValuestring
Erroneous parameter value
- messagestring
Relevant message for the erroneous parameter
- expectedPatternstring
Expected pattern, if any, that the erroneous parameter does not match with
- expectedValueRangeobject
Expected value range, if any, that the erroneous parameter does not match with
- expectedValueCountobject
Expected value count, in the case of an array item, that the erroneous parameter does not match with
- expectedEnumerationarray<string>
Expected enumeration, if any, that the erroneous parameter do not match with
503
Service unavailable.
ErrorModel
Generic error report structure
Fields (6)
- timestampstring (date-time)
current timestamp
- statusinteger (int32)required
HTTP error code
- errorstring
HTTP error text
Constraints: maxLength: 140
- messagestringrequired
HTTP textual reason phrase
Constraints: maxLength: 140
- pathstring
Relevant path that was used
Constraints: maxLength: 140
- detailsarray<ErrorDetail>
list of detailed errors that were encountered
Item: ErrorDetail
- locationstringenum · 2
Location of the erroneous parameter when not in request body
Code Name Description header— — query— — - namestring
Name of the erroneous parameter when not in request body
- pathstring
JsonPath of the erroneous request body property
- erroneousValuestring
Erroneous parameter value
- messagestring
Relevant message for the erroneous parameter
- expectedPatternstring
Expected pattern, if any, that the erroneous parameter does not match with
- expectedValueRangeobject
Expected value range, if any, that the erroneous parameter does not match with
- expectedValueCountobject
Expected value count, in the case of an array item, that the erroneous parameter does not match with
- expectedEnumerationarray<string>
Expected enumeration, if any, that the erroneous parameter do not match with
Schemas used by this endpoint
Every structure referenced by this operation, listed once. Cross-references resolve to anchors on this page.
AmountType
Structure aiming to embed the amount and the currency to be used.
Fields (2)
- amountnumber (float)required
ISO20022: Amount of money to be moved between the debtor and creditor, before deduction of charges, expressed in the currency as ordered by the initiating party.
ISO20022: Amount of money to be moved between the debtor and creditor, before deduction of charges, expressed in the currency as ordered by the initiating party.
Constraints: pattern: `^\-{0,1}[0-9]{1,13}(\.[0-9]{0,5}){0,1}$`
- currencyCurrencyCoderequired
Schema: CurrencyCode
CurrencyCode
Specifies the currency of the amount or of the account. A code allocated to a currency by a Maintenance Agency under an international identification scheme, as described in the latest edition of the international standard ISO 4217 "Codes for the representation of currencies and funds".
ErrorDetail
detailed error description
Fields (9)
- locationstringenum · 2
Location of the erroneous parameter when not in request body
Code Name Description header— — query— — - namestring
Name of the erroneous parameter when not in request body
- pathstring
JsonPath of the erroneous request body property
- erroneousValuestring
Erroneous parameter value
- messagestring
Relevant message for the erroneous parameter
- expectedPatternstring
Expected pattern, if any, that the erroneous parameter does not match with
- expectedValueRangeobject
Expected value range, if any, that the erroneous parameter does not match with
- expectedValueCountobject
Expected value count, in the case of an array item, that the erroneous parameter does not match with
- expectedEnumerationarray<string>
Expected enumeration, if any, that the erroneous parameter do not match with
ErrorModel
Generic error report structure
Fields (6)
- timestampstring (date-time)
current timestamp
- statusinteger (int32)required
HTTP error code
- errorstring
HTTP error text
Constraints: maxLength: 140
- messagestringrequired
HTTP textual reason phrase
Constraints: maxLength: 140
- pathstring
Relevant path that was used
Constraints: maxLength: 140
- detailsarray<ErrorDetail>
list of detailed errors that were encountered
Item schema: ErrorDetail
GenericLink
hypertext reference
Fields (2)
- hrefstringrequired
URI to be used. HREF stands for Hypertext REFerence.
Constraints: maxLength: 2000
- templatedboolean
This field must be set with "true" when [href] is an URI template, i.e. with parameters that will be set by the client afterwards. Parameter fields must be included by the API server according to RFC6570.
This field must be set with "true" when [href] is an URI template, i.e. with parameters that will be set by the client afterwards. Parameter fields must be included by the API server according to RFC6570. Otherwise, this property must be absent or set to false default value: false
HalOverdrafts
HYPERMEDIA structure used for returning the list of the overdrafts that can apply on a given account to the AISP
Fields (2)
- overdraftsOverdraftrequired
Schema: Overdraft
- _linksOverdraftsLinksrequired
Schema: OverdraftsLinks
Overdraft
ISO20022: Overdraft characteristics API: Amounts must always be set as positive values.
Fields (1)
- allowedAmountAmountTyperequired
Schema: AmountType
OverdraftsLinks
links that can be used for further navigation when browsing overdrafts Information at one account level
| Link | Description |
|---|---|
| self | link to the overdrafts of a given account |
| parent-list | link to the list of all available accounts |
| owners | link to the owners identities for a given account |
| balances | link to the balances of a given account |
| transactions | link to the transactions of a given account |
Fields (5)
- selfGenericLinkrequired
Schema: GenericLink
- parent-listGenericLink
Schema: GenericLink
- ownersGenericLink
Schema: GenericLink
- balancesGenericLink
Schema: GenericLink
- transactionsGenericLink
Schema: GenericLink